Bug 998007 - [abrt] pciutils-3.1.10-2.fc18: show_kernel_init: Process /usr/sbin/lspci was killed by signal 11 (SIGSEGV)
[abrt] pciutils-3.1.10-2.fc18: show_kernel_init: Process /usr/sbin/lspci was ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pciutils (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
abrt_hash:d8a126e605d7325a0aad0ae4400...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 13:59 EDT by Ted
Modified: 2013-10-11 13:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 13:23:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.92 KB, text/plain)
2013-08-16 13:59 EDT, Ted
no flags Details
File: cgroup (126 bytes, text/plain)
2013-08-16 13:59 EDT, Ted
no flags Details
File: core_backtrace (468 bytes, text/plain)
2013-08-16 13:59 EDT, Ted
no flags Details
File: dso_list (506 bytes, text/plain)
2013-08-16 13:59 EDT, Ted
no flags Details
File: environ (3.10 KB, text/plain)
2013-08-16 13:59 EDT, Ted
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-16 14:00 EDT, Ted
no flags Details
File: maps (2.71 KB, text/plain)
2013-08-16 14:00 EDT, Ted
no flags Details
File: open_fds (172 bytes, text/plain)
2013-08-16 14:00 EDT, Ted
no flags Details
File: proc_pid_status (928 bytes, text/plain)
2013-08-16 14:00 EDT, Ted
no flags Details
File: var_log_messages (299 bytes, text/plain)
2013-08-16 14:00 EDT, Ted
no flags Details
output of strace lspci -v (40.11 KB, text/plain)
2013-10-08 09:24 EDT, Ted
no flags Details
output of sudo strace lspci -v (40.15 KB, text/plain)
2013-10-08 09:25 EDT, Ted
no flags Details
core from lspci -v (1.60 MB, application/x-core)
2013-10-08 12:43 EDT, Ted
no flags Details
core from sudo lspci -v (1.60 MB, application/x-core)
2013-10-08 12:46 EDT, Ted
no flags Details

  None (edit)
Description Ted 2013-08-16 13:59:42 EDT
Description of problem:
$ lspci -vvv
...
	Capabilities: <access denied>
Segmentation fault (core dumped)

Version-Release number of selected component:
pciutils-3.1.10-2.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        lspci -vvv
crash_function: show_kernel_init
executable:     /usr/sbin/lspci
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 show_kernel_init at ls-kernel.c:139
Comment 1 Ted 2013-08-16 13:59:46 EDT
Created attachment 787390 [details]
File: backtrace
Comment 2 Ted 2013-08-16 13:59:50 EDT
Created attachment 787391 [details]
File: cgroup
Comment 3 Ted 2013-08-16 13:59:53 EDT
Created attachment 787392 [details]
File: core_backtrace
Comment 4 Ted 2013-08-16 13:59:56 EDT
Created attachment 787393 [details]
File: dso_list
Comment 5 Ted 2013-08-16 13:59:58 EDT
Created attachment 787394 [details]
File: environ
Comment 6 Ted 2013-08-16 14:00:01 EDT
Created attachment 787395 [details]
File: limits
Comment 7 Ted 2013-08-16 14:00:05 EDT
Created attachment 787396 [details]
File: maps
Comment 8 Ted 2013-08-16 14:00:07 EDT
Created attachment 787397 [details]
File: open_fds
Comment 9 Ted 2013-08-16 14:00:12 EDT
Created attachment 787398 [details]
File: proc_pid_status
Comment 10 Ted 2013-08-16 14:00:15 EDT
Created attachment 787399 [details]
File: var_log_messages
Comment 11 Michal Hlavinka 2013-10-08 08:11:19 EDT
Where did you get that pciutils package?
Backtrace says it crashed in show_kernel_init, but that's new function that does not exist in pciutils 3.1.10 we have in Fedora 18. It's only in pciutils>=3.2.0
Comment 12 Ted 2013-10-08 09:22:33 EDT
I installed the package via yum.

$ rpm -qi pciutils
Name        : pciutils
Version     : 3.1.10
Release     : 2.fc18
Architecture: x86_64
Install Date: Fri 14 Jun 2013 11:01:03 AM EDT
Group       : Applications/System
Size        : 192523
License     : GPLv2+
Signature   : RSA/SHA256, Wed 08 Aug 2012 10:14:12 PM EDT, Key ID ff01125cde7f38bd
Source RPM  : pciutils-3.1.10-2.fc18.src.rpm
Build Date  : Sat 21 Jul 2012 01:02:03 AM EDT
Build Host  : x86-06.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
Summary     : PCI bus related utilities
Description :
The pciutils package contains various utilities for inspecting and
setting devices connected to the PCI bus. The utilities provided
require kernel version 2.1.82 or newer (which support the
/proc/bus/pci interface).
$ yum info pciutils
Loaded plugins: langpacks, presto, refresh-packagekit, remove-with-leaves
Installed Packages
Name        : pciutils
Arch        : x86_64
Version     : 3.1.10
Release     : 2.fc18
Size        : 188 k
Repo        : installed
From repo   : fedora
Summary     : PCI bus related utilities
URL         : http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
License     : GPLv2+
Description : The pciutils package contains various utilities for inspecting and
            : setting devices connected to the PCI bus. The utilities provided
            : require kernel version 2.1.82 or newer (which support the
            : /proc/bus/pci interface).
$
Comment 13 Ted 2013-10-08 09:24:51 EDT
Created attachment 809280 [details]
output of strace lspci -v
Comment 14 Ted 2013-10-08 09:25:35 EDT
Created attachment 809281 [details]
output of sudo strace lspci -v
Comment 15 Michal Hlavinka 2013-10-08 11:12:27 EDT
$ grep -r show_kernel_ pciutils-3.*/

pciutils-3.1.10/lspci.h:void show_kernel_machine(struct device *d UNUSED);
pciutils-3.1.10/lspci.c:        show_kernel_machine(d);
pciutils-3.1.10/ls-kernel.c:show_kernel_machine(struct device *d)
pciutils-3.1.10/ls-kernel.c:show_kernel_machine(struct device *d UNUSED)


pciutils-3.2.0/lspci.h:void show_kernel_machine(struct device *d UNUSED);
pciutils-3.2.0/lspci.h:void show_kernel_cleanup(void);
pciutils-3.2.0/lspci.c: show_kernel_machine(d);
pciutils-3.2.0/lspci.c:  show_kernel_cleanup();
pciutils-3.2.0/ls-kernel.c:show_kernel_init(void)
pciutils-3.2.0/ls-kernel.c:  static int show_kernel_inited = -1;
pciutils-3.2.0/ls-kernel.c:  if (show_kernel_inited >= 0)
pciutils-3.2.0/ls-kernel.c:    return show_kernel_inited;
pciutils-3.2.0/ls-kernel.c:  show_kernel_inited = 1;
pciutils-3.2.0/ls-kernel.c:  show_kernel_inited = 0;
pciutils-3.2.0/ls-kernel.c:show_kernel_cleanup(void)
pciutils-3.2.0/ls-kernel.c:show_kernel_init(void)
pciutils-3.2.0/ls-kernel.c:show_kernel_cleanup(void)
pciutils-3.2.0/ls-kernel.c:  if (!show_kernel_init())
pciutils-3.2.0/ls-kernel.c:show_kernel_machine(struct device *d)
pciutils-3.2.0/ls-kernel.c:  if (!show_kernel_init())
pciutils-3.2.0/ls-kernel.c:show_kernel_machine(struct device *d UNUSED)
pciutils-3.2.0/ls-kernel.c:show_kernel_cleanup(void

There really is no show_kernel_init in pciutils-3.1.10

Please reinstall pciutils (yum reinstall pciutils) and verify you have correct package (post output of):
sha1sum `which lspci`

if you are still able to reproduce this, attach core file (you'll have to enable them first with: ulimit -c unlimited )

Thanks
Comment 16 Ted 2013-10-08 12:42:18 EDT
$ sha1sum `which lspci`
4e2d455c8f525323cddd978b5594a1f3c84e9266  /usr/sbin/lspci
$ sudo yum reinstall pciutils
...
$ rpm -qi pciutils
$ rpm -qi pciutils
Name        : pciutils
Version     : 3.1.10
Release     : 2.fc18
Architecture: x86_64
Install Date: Tue 08 Oct 2013 12:39:12 PM EDT
Group       : Applications/System
Size        : 192523
License     : GPLv2+
Signature   : RSA/SHA256, Wed 08 Aug 2012 10:14:12 PM EDT, Key ID ff01125cde7f38bd
Source RPM  : pciutils-3.1.10-2.fc18.src.rpm
Build Date  : Sat 21 Jul 2012 01:02:03 AM EDT
Build Host  : x86-06.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
Summary     : PCI bus related utilities
Description :
The pciutils package contains various utilities for inspecting and
setting devices connected to the PCI bus. The utilities provided
require kernel version 2.1.82 or newer (which support the
/proc/bus/pci interface).
$ sha1sum `which lspci`
9d499ba871fb70c1d0212561231ddb34cba3dffe  /usr/sbin/lspci
$ ulimit -c unlimited
$ lspci -v
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
	Subsystem: Acer Incorporated [ALI] Device 0738
	Flags: bus master, fast devsel, latency 0
	Capabilities: <access denied>
Segmentation fault (core dumped)
$
Comment 17 Ted 2013-10-08 12:43:12 EDT
Created attachment 809414 [details]
core from lspci -v
Comment 18 Ted 2013-10-08 12:46:50 EDT
Created attachment 809416 [details]
core from sudo lspci -v
Comment 19 Michal Hlavinka 2013-10-11 08:02:42 EDT
I'm able to reproduce this when I combine pciutils with wrong pciutils-libs.

Please try to reinstall also pciutils-libs. Thanks
Comment 20 Ted 2013-10-11 13:23:08 EDT
Thanks, it works now. I don't know how this happened.

$ rpm -qa pciutils\*
pciutils-3.1.10-2.fc18.x86_64
pciutils-libs-3.2.0-2.fc20.x86_64
$ sudo yum downgrade pciutils-libs
Loaded plugins: langpacks, presto, refresh-packagekit, remove-with-leaves
Unable to send message to PackageKit
Resolving Dependencies
--> Running transaction check
---> Package pciutils-libs.x86_64 0:3.1.10-2.fc18 will be a downgrade
---> Package pciutils-libs.x86_64 0:3.2.0-2.fc20 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch          Version                 Repository     Size
================================================================================
Downgrading:
 pciutils-libs        x86_64        3.1.10-2.fc18           fedora         43 k

Transaction Summary
================================================================================
Downgrade  1 Package

Total download size: 43 k
Is this ok [y/N]: y
Downloading Packages:
pciutils-libs-3.1.10-2.fc18.x86_64.rpm                     |  43 kB   00:00     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : pciutils-libs-3.1.10-2.fc18.x86_64                           1/2 
  Cleanup    : pciutils-libs-3.2.0-2.fc20.x86_64                            2/2 
Unable to send message to PackageKit
  Verifying  : pciutils-libs-3.1.10-2.fc18.x86_64                           1/2 
  Verifying  : pciutils-libs-3.2.0-2.fc20.x86_64                            2/2 

Removed:
  pciutils-libs.x86_64 0:3.2.0-2.fc20                                           

Installed:
  pciutils-libs.x86_64 0:3.1.10-2.fc18                                          

Complete!
$

Note You need to log in before you can comment on or make changes to this bug.